Bug 1401881 - Service Catalog Item Entry Point Tree is missing Red Hat Domain
Summary: Service Catalog Item Entry Point Tree is missing Red Hat Domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Martin Hradil
QA Contact: Shveta
URL:
Whiteboard: ui:service:catalog
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 10:41 UTC by Pete Savage
Modified: 2018-03-19 11:27 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:24:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Pete Savage 2016-12-06 10:41:39 UTC
Description of problem: Service Catalog Item Entry Point Tree is missing Red Hat Domain


Version-Release number of selected component (if applicable): 5.7.0.13


How reproducible: 100%


Steps to Reproduce:
1. Services -> Catalogs -> Catalog Items
2. Add a new Catalog Item
3. Choose Generic for type
4. Click Provisioning Entry Point

Actual results: Resultant tree only has ManageIQ domain listed


Expected results: Tree should have Red Hat domain listed too


Additional info:

Comment 2 Pete Savage 2016-12-06 10:49:16 UTC
This has the added by product that after doing this, visiting the customization -> service dialog page yields a tree with a broken ManageIQ domain in the entrypoint for a dynamic field.

Comment 3 Pete Savage 2016-12-06 11:15:20 UTC
Additionally, if you expand the ManageIQ tree in the Service catalog item creation, this is the error you get from the tree_autoload on the customization service dialog "Add a new Element" page:

throw "error";
$("#center_div").html("\u003cdiv id='content' style='overflow: scroll; height: 100%; padding-left: 50px;'\u003e\n\u003ch1 style='color: #c90813'\u003e\nUnexpected error encountered\n\u003c/h1\u003e\n\u003cbr\u003e\n\u003ch2\u003e\nErrors in Management Engine can be caused by:\n\u003c/h2\u003e\n\u003cbr\u003e\n\u003cfieldset\u003e\n\u003cfont style='font-size: 116%;color: black'\u003e\u0026#x2460;\u003c/font\u003e\nAccessing Management Engine from multiple tabs or windows of the same browser on a single machine.\nClose any duplicate browser sessions, then select an option from the menu.\n\u003c/fieldset\u003e\n\u003cfieldset\u003e\n\u003cfont style='font-size: 116%;color: black'\u003e\u0026#x2461;\u003c/font\u003e\nPressing the back button during a session.\n\u003cbr\u003e\n\u0026nbsp;\u0026nbsp;\u0026nbsp;\u0026nbsp;\u0026nbsp;\nClose any duplicate browser sessions, then select an option from the menu.\n\u003c/fieldset\u003e\n\u003cfieldset\u003e\n\u003cfont style='font-size: 116%;color: black'\u003e\u0026#x2462;\u003c/font\u003e\nAn internal system error.\n\u003cbr\u003e\n\u0026nbsp;\u0026nbsp;\u0026nbsp;\u0026nbsp;\u0026nbsp;\nPlease contact your administrator for assistance.\n\u003c/fieldset\u003e\n\u003cbr\u003e\n\u003cbr\u003e\n\u003ch2\u003e\nError text:\n\u003c/h2\u003e\n\u003cbr\u003e\n\u003ch3\u003e\nundefined method `constantize\u0026#39; for nil:NilClass [miq_ae_customization/tree_autoload]\n\u003c/h3\u003e\n\u003c/div\u003e\n");
miqSparkle(false);
if (miqDomElementExists('adv_searchbox_div')) $('#adv_searchbox_div').hide();

Comment 4 Milan Falešník 2016-12-06 16:26:15 UTC
The thing is that RedHat domain has no state machines in it, though some namespaces might suggest so, I just checked it and I hope I did not overlook any, but it only seems to contain some method overrides and a couple of instances but none of them of a state machine.

Does it invalidate this bug then?

Comment 5 Pete Savage 2016-12-06 16:29:13 UTC
Well, it could invalidate the "name" of the bug but the fact that it still interferes with the other Tree is a bug

Comment 6 Dave Johnson 2016-12-06 16:32:36 UTC
Ah, ok, so this is a tree issue, please update the summary and I will discuss with Dan.

Comment 9 Shveta 2017-05-22 20:15:11 UTC
Redhat domain is not shown anymore.
Verified in 5.8.0.15.20170517161141_119e6fd

Comment 11 errata-xmlrpc 2017-05-31 14:24:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.